Extending Qt Creator Manual | ScopeAstPath

Extending Qt Creator Manual 4.3.0

# ScopeAstPath Class

(QmlJS::ScopeAstPath)

- List of all members, including inherited members

## Public Functions

| ScopeAstPath(Document::Ptr doc)
QList<AST::Node *> | operator()(quint32 offset)

## Protected Functions

void | accept(AST::Node *node)

## Member Function Documentation

### ScopeAstPath::ScopeAstPath(Document::Ptr doc)

Default constructs an instance of ScopeAstPath.

### `[protected]` void ScopeAstPath::accept(AST::Node *node)

### QList<AST::Node *> ScopeAstPath::operator()(quint32 offset)